Page MenuHomePhabricator

Setup the Developer Hub prototype
Closed, DeclinedPublic

Description

If http://juliuszgonera.com/wddh/ is intended to be THE prototype, then this task is basically completed. If not, then please explain and setup the actual prototype in order to work on it.

Details

Reference
fl482

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl482.

qgil wrote on 2014-07-22 13:47:56 (UTC)

I wonder whether we should require to have the prototype hosted in Labs. Better than a personal host, isn't it? No strong opinion, though.

jgonera wrote on 2014-07-22 22:41:15 (UTC)

It's hosted using GitHub pages now. No strong feelings about it though. I think we agreed on adding some real content to the prototype to call it finished.

qgil wrote on 2014-08-25 12:25:38 (UTC)

@MSyed says: "I've forked Juliusz's repo on github and will be committing code here: https://github.com/moizsyed/build.wikimedia.org "

Qgil lowered the priority of this task from High to Low.Oct 22 2014, 6:20 PM
Qgil added a subscriber: Spage.Jan 29 2015, 1:31 AM

According to T312, the hub is going to be a namespace in mediawiki.org with an own skin. In this case, the prototype... could be the real thing just in an official Work In Progress, right?

I don't see the point of sttarting some Labs instance when we can use mediawiki.org directly. Thoughts?

Qgil closed this task as Declined.Feb 4 2015, 8:58 AM
Qgil claimed this task.

@Spage is focusing on prototyping through the creation of actual content in mediawiki.org, under the API: namespace. From there we can decide what's next. In any case, prototyping using an external tool is currently out of scope. Therefore, I'm declining this task.